<?xml version="1.0"?>
<!DOCTYPE package-info SYSTEM "http://www.simplemachines.org/xml/package-info">
<package-info xmlns="http://www.simplemachines.org/xml/package-info" xmlns:smf="http://www.simplemachines.org/">
    <id>@flurry:dragdrop_attach</id>
    <name>Drag-and-Drop Inline Attachments</name>
    <version>1.0</version>
    <type>modification</type>

    <install for="2.1.* - 2.1.99">
        <readme parsebbc="true">readme.txt</readme>
        <require-file name="Subs-DragDropAttach.php" destination="$sourcedir" />
        <require-file name="sceditor.dragdrop.js" destination="Themes/default/scripts" />
        <require-file name="dragdrop-attach.js" destination="Themes/default/scripts" />
        <hook hook="integrate_sceditor_options" function="dda_sceditor_options" file="$sourcedir/Subs-DragDropAttach.php" />
    </install>

    <uninstall for="2.1.* - 2.1.99">
        <remove-file name="$sourcedir/Subs-DragDropAttach.php" />
        <remove-file name="Themes/default/scripts/sceditor.dragdrop.js" />
        <remove-file name="Themes/default/scripts/dragdrop-attach.js" />
        <hook hook="integrate_sceditor_options" function="dda_sceditor_options" file="$sourcedir/Subs-DragDropAttach.php" reverse="true" />
    </uninstall>
</package-info>
